[Admin] Criar uma nova segmentação
curl --request POST \
--url https://apis.cativalab.digital/tenant/api/v2/admin/marketing/segmentations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isActive": true,
"groups": [
{
"order": 123,
"criteria": [
{
"order": 123,
"value": "<string>",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"temporalDays": 123
}
]
}
],
"notifications": [
{
"recipientUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifyByEmail": true,
"notifyByPush": true
}
]
}
'import requests
url = "https://apis.cativalab.digital/tenant/api/v2/admin/marketing/segmentations"
payload = {
"name": "<string>",
"description": "<string>",
"isActive": True,
"groups": [
{
"order": 123,
"criteria": [
{
"order": 123,
"value": "<string>",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"temporalDays": 123
}
]
}
],
"notifications": [
{
"recipientUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifyByEmail": True,
"notifyByPush": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isActive: true,
groups: [
{
order: 123,
criteria: [
{
order: 123,
value: '<string>',
referenceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
temporalDays: 123
}
]
}
],
notifications: [
{
recipientUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notifyByEmail: true,
notifyByPush: true
}
]
})
};
fetch('https://apis.cativalab.digital/tenant/api/v2/admin/marketing/segmentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Segmentações
[Admin] Criar uma nova segmentação
POST
/
api
/
v2
/
admin
/
marketing
/
segmentations
[Admin] Criar uma nova segmentação
Autorizações
Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .
Corpo
application/json
Resposta
200
OK
⌘I
